Resource

AI Agent Task Log

Logs generated by AI agents during task execution. Contains detailed log entries with severity, timestamp, and messages.

The AI Agent Task Log Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    ProjectRequired
    Description

    Project this log belongs to.

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of the project this log belongs to.

  • Name
    aiAgentTask
    Type
    AI Agent TaskRequired
    Description

    AI Agent Task this log belongs to.

  • Name
    aiAgentTaskId
    Type
    Object IDRequired
    Description

    ID of the AI Agent Task this log belongs to.

  • Name
    aiAgent
    Type
    AI AgentRequired
    Description

    AI Agent that generated this log.

  • Name
    aiAgentId
    Type
    Object IDRequired
    Description

    ID of the AI Agent that generated this log.

  • Name
    severity
    Type
    TextRequired
    Description

    Severity level of this log entry (e.g., Information, Warning, Error).

  • Name
    message
    Type
    Very Long TextRequired
    Description

    The log message content.

  • Name
    createdByUser
    Type
    User
    Description

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

GETorPOST/api/ai-agent-task-log/get-list

List

This endpoint allows you to retrieve a paginated list of all your AI Agent Task Log. By default, a maximum of ten AI Agent Task Log are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/ai-agent-task-log/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "aiAgent": true,
    "aiAgentId": true,
    "aiAgentTask": true,
    "aiAgentTaskId": true,
    "message": true
  },
  "query": {
    "message": "Example message"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "3769c980-28fe-11f1-b591-3fdcef396aba",
      "aiAgent": "Example ai agent",
      "aiAgentId": "550e8400-e29b-41d4-a716-446655440000",
      "aiAgentTask": "Example ai agent task",
      "aiAgentTaskId": "550e8400-e29b-41d4-a716-446655440000",
      "message": "Example message"
    },
    {
      "_id": "3769c981-28fe-11f1-b591-3fdcef396aba",
      "aiAgent": "Example ai agent",
      "aiAgentId": "550e8400-e29b-41d4-a716-446655440000",
      "aiAgentTask": "Example ai agent task",
      "aiAgentTaskId": "550e8400-e29b-41d4-a716-446655440000",
      "message": "Example message"
    },
    {
      "_id": "3769c982-28fe-11f1-b591-3fdcef396aba",
      "aiAgent": "Example ai agent",
      "aiAgentId": "550e8400-e29b-41d4-a716-446655440000",
      "aiAgentTask": "Example ai agent task",
      "aiAgentTaskId": "550e8400-e29b-41d4-a716-446655440000",
      "message": "Example message"
    }
  ]
}
GETorPOST/api/ai-agent-task-log/:id/get-item

Get item by ID

This endpoint allows you to retrieve AI Agent Task Log by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/ai-agent-task-log/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "aiAgent": true,
    "aiAgentId": true,
    "aiAgentTask": true,
    "aiAgentTaskId": true,
    "message": true
  }
}

Response

{
  "_id": "3769c980-28fe-11f1-b591-3fdcef396aba",
  "aiAgent": "Example ai agent",
  "aiAgentId": "550e8400-e29b-41d4-a716-446655440000",
  "aiAgentTask": "Example ai agent task",
  "aiAgentTaskId": "550e8400-e29b-41d4-a716-446655440000",
  "message": "Example message"
}
POST/api/ai-agent-task-log/count

Count

This endpoint allows you to retrieve the count of all your AI Agent Task Log.

Optional Request Body

Count Request

POST
/api/ai-agent-task-log/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "message": "Example message"
  }
}

Response

{
  "count": 107
}
POST/api/ai-agent-task-log

Create AI Agent Task Log

This endpoint allows you to create a new object.

Create Request

POST
/api/ai-agent-task-log
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "aiAgent": "Example ai agent",
    "aiAgentId": "550e8400-e29b-41d4-a716-446655440000",
    "aiAgentTask": "Example ai agent task",
    "aiAgentTaskId": "550e8400-e29b-41d4-a716-446655440000",
    "message": "Example message"
  }
}

Response

{
  "_id": "3769c980-28fe-11f1-b591-3fdcef396aba",
  "aiAgent": "Example ai agent",
  "aiAgentId": "550e8400-e29b-41d4-a716-446655440000",
  "aiAgentTask": "Example ai agent task",
  "aiAgentTaskId": "550e8400-e29b-41d4-a716-446655440000",
  "message": "Example message"
}
PUT/api/ai-agent-task-log/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/ai-agent-task-log/:id/update-item
GET/api/ai-agent-task-log/:id/update-item

Update Request

PUT
/api/ai-agent-task-log/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "message": "Example message",
    "severity": "Example severity"
  }
}

Response

{}
DELETE/api/ai-agent-task-log/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/ai-agent-task-log/:id/delete-item
GET/api/ai-agent-task-log/:id/delete-item

Delete Request

DELETE
/api/ai-agent-task-log/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read AI Agent Task Log

  • Project Owner
  • Project Admin
  • Project Member
  • Read AI Agent Task
  • Read All Project Resources

Create Permissions

Required to create AI Agent Task Log

  • Project Owner
  • Project Admin
  • Project Member
  • Create AI Agent Task

Update Permissions

Required to update AI Agent Task Log

  • Project Owner
  • Project Admin
  • Project Member
  • Edit AI Agent Task

Delete Permissions

Required to delete AI Agent Task Log

  • Project Owner
  • Project Admin
  • Project Member
  • Delete AI Agent Task